curl --request GET \
--url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"title": "adds an item to the cart",
"describe_path": [
"Cart",
"when logged in"
],
"status": "passed",
"outcomes": [
{
"status": "passed",
"repeat_each_index": 0,
"shard": 1,
"is_expected": true,
"attempts": [
{
"status": "passed",
"duration": 3.02,
"log": "TimeoutError: locator.click: Timeout 10000ms exceeded.",
"screenshots": [
"<string>"
],
"videos": [
"<string>"
],
"traces": [
"<string>"
],
"lighthouses": [
"<string>"
]
}
]
}
],
"tests": [
{
"id": "vhrscje",
"title": "adds an item to the cart",
"status": "passed"
}
]
}Get test entity
Get a test entity along with its outcomes and the attempts (including screenshots, videos, traces and Lighthouse reports) for each outcome.
curl --request GET \
--url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"title": "adds an item to the cart",
"describe_path": [
"Cart",
"when logged in"
],
"status": "passed",
"outcomes": [
{
"status": "passed",
"repeat_each_index": 0,
"shard": 1,
"is_expected": true,
"attempts": [
{
"status": "passed",
"duration": 3.02,
"log": "TimeoutError: locator.click: Timeout 10000ms exceeded.",
"screenshots": [
"<string>"
],
"videos": [
"<string>"
],
"traces": [
"<string>"
],
"lighthouses": [
"<string>"
]
}
]
}
],
"tests": [
{
"id": "vhrscje",
"title": "adds an item to the cart",
"status": "passed"
}
]
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Specifies the expected response format. Must be set to application/json for proper API communication.
application/json Path Parameters
Id of the project. You can get project_id by listing your projects using the List projects API.
"pdqmxlz"
Id of the test entity (a spec or a test). You can get test_entity_id by listing test entities using the List test entities API.
"vhrscje"
Response
OK - Request succeeded
Title of the test entity.
"adds an item to the cart"
Ordered list of ancestor describe blocks leading to this test.
["Cart", "when logged in"]
Aggregated status of the test entity.
"passed"
Outcomes recorded for this entity in the run. Always empty for a spec, which takes no attempts of its own.
Hide child attributes
Hide child attributes
Status of the outcome.
"passed"
Index of the repetition when the test is repeated.
0
Shard the outcome was executed on.
1
Whether the outcome matched the expected result.
true
Hide child attributes
Hide child attributes
Status of this attempt.
"passed"
Duration of the attempt in seconds.
3.02
Playwright's error output for this attempt. Null when the attempt produced none.
"TimeoutError: locator.click: Timeout 10000ms exceeded."
URLs of screenshots captured during the attempt.
URLs of videos captured during the attempt.
URLs of Playwright traces captured during the attempt.
URLs of Lighthouse reports captured during the attempt.
Tests the run recorded inside this entity. Always empty for a test, which contains none.